stages:
  - pages
  - deploy


pages:
 # requiring the environment of NodeJS 8.9.x LTS (carbon)
 image: node:8.11.4
 stage: pages

 # add 'node_modules' to cache for speeding up builds
 cache:
  paths:
    - node_modules/ # Node modules and dependencies

 before_script:
  - npm install gitbook-cli -g # install gitbook
  - gitbook install # add any requested plugins in book.json
  #- gitbook fetch pre # fetch latest pre-release version
  #- gitbook fetch 2.6.7 # fetch specific version


 script:
  - gitbook build . public # build to public path
 artifacts:
  paths:
   - public
 only:
  - master # this job will affect only the 'master' branch
  
deploy:
  image: python:latest
  stage: deploy
  script:
  - pip install awscli
  - aws s3 cp ./ s3://primeros-pasos-de-python/ --recursive --exclude "*" --include "public/*.html"
  only:
  - master
